## nifti2dicom 0.4.9

=== CMakeLists.txt ===
#  This file is part of Nifti2Dicom, is an open source converter from 
#  3D NIfTI images to 2D DICOM series.
#
#  Copyright (C) 2008, 2009, 2010 Daniele E. Domenichelli <daniele.domenichelli@gmail.com>
#
#  Nifti2Dicom is free software: you can redistribute it and/or modify
#  it under the terms of the GNU General Public License as published by
#  the Free Software Foundation, either version 3 of the License, or
#  (at your option) any later version.
#
#  Nifti2Dicom is distributed in the hope that it will be useful,
#  but WITHOUT ANY WARRANTY; without even the implied warranty of
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#  GNU General Public License for more details.
#
#  You should have received a copy of the GNU General Public License
#  along with Nifti2Dicom.  If not, see <http://www.gnu.org/licenses/>.


cmake_minimum_required(VERSION 2.6.4)

if(NOT CMAKE_VERSION VERSION_LESS 2.8.11)
    cmake_policy(SET CMP0020 NEW) # Remove when CMake >=2.8.11
endif()

project(Nifti2Dicom)

set(Nifti2Dicom_MAJOR_VERSION "0")
set(Nifti2Dicom_MINOR_VERSION "4")
set(Nifti2Dicom_PATCH_VERSION "9")
set(Nifti2Dicom_VERSION "0.4.9")
set(Nifti2Dicom_INTERNAL_VERSION "${Nifti2Dicom_MAJOR_VERSION}.${Nifti2Dicom_MINOR_VERSION}.${Nifti2Dicom_PATCH_VERSION}")

list(APPEND CMAKE_MODULE_PATH "${CMAKE_SOURCE_DIR}/cmake")

#Check TCLAP Library [Templatized C++ Command Line Parser] (1.2.0)
find_package(TCLAP 1.2.0 REQUIRED)
include_directories(${TCLAP_INCLUDE_DIRS})

# Check ITK Library [Insight ToolKit] (3.17.0)
find_package(ITK REQUIRED)
include(${ITK_USE_FILE})

#Check VTK Library [Visualization ToolKit]
find_package(VTK REQUIRED)
include(${VTK_USE_FILE})

#TODO Check QVTK

if(VTK_QT_VERSION EQUAL 5)
    set(Nifti2Dicom_QT_VERSION 5)

    #Check Qt5 Library [Qt5]
    find_package(Qt5 COMPONENTS Core Gui Widgets)
else()
    set(Nifti2Dicom_QT_VERSION 4)

    #Check Qt4 Library [Qt4] (4.4.0)
    set(QT_USE_IMPORTED_TARGETS TRUE)
    find_package(Qt4 4.4.0 REQUIRED)

endif()


configure_file(${CMAKE_SOURCE_DIR}/Nifti2DicomConfig.h.cmake ${CMAKE_BINARY_DIR}/Nifti2DicomConfig.h)

include_directories(${CMAKE_BINARY_DIR})

set(CMAKE_C_FLAGS_DEBUG "${CMAKE_C_FLAGS_DEBUG} -DDEBUG")
set(CMAKE_C_FLAGS_RELWITHDEBINFO "${CMAKE_C_FLAGS_RELWITHDEBINFO} -DDEBUG")
set(CMAKE_CXX_FLAGS_DEBUG "${CMAKE_CXX_FLAGS_DEBUG} -DDEBUG")
set(CMAKE_CXX_FLAGS_RELWITHDEBINFO "${CMAKE_CXX_FLAGS_RELWITHDEBINFO} -DDEBUG")

if(MSVC)
  add_definitions(-D_CRT_SECURE_NO_WARNINGS
                  -D_SCL_SECURE_NO_WARNINGS)
endif()


if(WIN32 OR APPLE)
    # Install docs in CMAKE_PREFIX_PATH on windows an mac
    set(DOCS_FILES AUTHORS
                   COPYING
                   COPYING.ITK
                   COPYING.VTK
                   packaging/COPYING.Qt4
                   NEWS
                   README.md)
    set(DOCS_FILES_DESTINATION .)
    install(FILES ${DOCS_FILES}
            DESTINATION .
            COMPONENT Documentation)
endif()


add_subdirectory(src)
add_subdirectory(doc)
add_subdirectory(data)
add_subdirectory(packaging)

=== data/CMakeLists.txt ===
if(UNIX AND NOT APPLE)
    install(FILES qnifti2dicom.desktop DESTINATION share/applications)
    add_subdirectory(icons)
endif()

=== doc/CMakeLists.txt ===
#  This file is part of Nifti2Dicom, is an open source converter from
#  3D NIfTI images to 2D DICOM series.
#
#  Copyright (C) 2008, 2009, 2010 Daniele E. Domenichelli <daniele.domenichelli@gmail.com>
#
#  Nifti2Dicom is free software: you can redistribute it and/or modify
#  it under the terms of the GNU General Public License as published by
#  the Free Software Foundation, either version 3 of the License, or
#  (at your option) any later version.
#
#  Nifti2Dicom is distributed in the hope that it will be useful,
#  but WITHOUT ANY WARRANTY; without even the implied warranty of
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#  GNU General Public License for more details.
#
#  You should have received a copy of the GNU General Public License
#  along with Nifti2Dicom.  If not, see <http://www.gnu.org/licenses/>.



# Build documentation if doxygen and graphviz are found
find_package(Doxygen QUIET)
if(DOXYGEN_FOUND AND DOXYGEN_DOT_FOUND)
    message(STATUS "To build documentation run the 'doc' target")
    configure_file("${CMAKE_CURRENT_SOURCE_DIR}/Doxyfile.in" "${CMAKE_CURRENT_BINARY_DIR}/Doxyfile")
    add_custom_target(doc ${DOXYGEN_EXECUTABLE} "Doxyfile")
endif()



# Build manpage
option(ENABLE_REGENERATE_MAN "Enable regenerate_man target" FALSE)
mark_as_advanced(ENABLE_REGENERATE_MAN)

if(ENABLE_REGENERATE_MAN)

    # Find help2man
    find_file(HELP2MAN_EXECUTABLE help2man HINTS /bin /usr/bin /usr/local/bin)
    if(NOT HELP2MAN_EXECUTABLE)
        message(FATAL_ERROR "To enable the regenerate_man target you need to install help2man")
    endif(NOT HELP2MAN_EXECUTABLE)

    # Find sed
    find_file(SED_EXECUTABLE sed HINTS /bin /usr/bin /usr/local/bin)
    if(NOT SED_EXECUTABLE)
        message(FATAL_ERROR "To enable the regenerate_man target you need to install sed")
    endif(NOT SED_EXECUTABLE)

    add_custom_command(OUTPUT ${CMAKE_CURRENT_SOURCE_DIR}/man/man1/nifti2dicom.1
                       DEPENDS nifti2dicom ${CMAKE_CURRENT_SOURCE_DIR}/man/nifti2dicom.help2man.include
                       COMMAND ${HELP2MAN_EXECUTABLE}
                               ${CMAKE_BINARY_DIR}/src/core/nifti2dicom
                               --version-string=${Nifti2Dicom_VERSION}
                               --no-info
                               --include=${CMAKE_CURRENT_SOURCE_DIR}/man/nifti2dicom.help2man.include
                               --output=${CMAKE_CURRENT_SOURCE_DIR}/man/man1/nifti2dicom.1
                       COMMAND ${SED_EXECUTABLE} -i "s#${CMAKE_BINARY_DIR}/src/core/##g" ${CMAKE_CURRENT_SOURCE_DIR}/man/man1/nifti2dicom.1
    )
    add_custom_command(OUTPUT ${CMAKE_CURRENT_SOURCE_DIR}/man/man1/qnifti2dicom.1
                       DEPENDS qnifti2dicom ${CMAKE_CURRENT_SOURCE_DIR}/man/qnifti2dicom.help2man.include
                       COMMAND ${HELP2MAN_EXECUTABLE}
                               ${CMAKE_BINARY_DIR}/src/gui/qnifti2dicom
                               --version-string=${Nifti2Dicom_VERSION}
                               --no-info
                               --include=${CMAKE_CURRENT_SOURCE_DIR}/man/qnifti2dicom.help2man.include
                               --output=${CMAKE_CURRENT_SOURCE_DIR}/man/man1/qnifti2dicom.1
                       COMMAND ${SED_EXECUTABLE} -i "s#${CMAKE_BINARY_DIR}/src/gui/##g" ${CMAKE_CURRENT_SOURCE_DIR}/man/man1/qnifti2dicom.1
    )
    add_custom_target(regenerate_man SOURCES ${CMAKE_CURRENT_SOURCE_DIR}/man/man1/nifti2dicom.1
                                             ${CMAKE_CURRENT_SOURCE_DIR}/man/man1/qnifti2dicom.1
    )
endif(ENABLE_REGENERATE_MAN)

find_file(GZIP_EXECUTABLE gzip HINTS /bin /usr/bin /usr/local/bin)

if(GZIP_EXECUTABLE)
    file(MAKE_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR}/man/man1)
    add_custom_command(OUTPUT ${CMAKE_CURRENT_BINARY_DIR}/man/man1/nifti2dicom.1.gz
                       COMMAND ${CMAKE_COMMAND} -E copy ${CMAKE_CURRENT_SOURCE_DIR}/man/man1/nifti2dicom.1 ${CMAKE_CURRENT_BINARY_DIR}/man/man1/nifti2dicom.1
                       COMMAND ${GZIP_EXECUTABLE} -9 -f -n ${CMAKE_CURRENT_BINARY_DIR}/man/man1/nifti2dicom.1
                       DEPENDS ${CMAKE_CURRENT_SOURCE_DIR}/man/man1/nifti2dicom.1
    )
    add_custom_command(OUTPUT ${CMAKE_CURRENT_BINARY_DIR}/man/man1/qnifti2dicom.1.gz
                       COMMAND ${CMAKE_COMMAND} -E copy ${CMAKE_CURRENT_SOURCE_DIR}/man/man1/qnifti2dicom.1 ${CMAKE_CURRENT_BINARY_DIR}/man/man1/qnifti2dicom.1
                       COMMAND ${GZIP_EXECUTABLE} -9 -f -n ${CMAKE_CURRENT_BINARY_DIR}/man/man1/qnifti2dicom.1
                       DEPENDS ${CMAKE_CURRENT_SOURCE_DIR}/man/man1/qnifti2dicom.1
    )

    add_custom_target(manpages ALL SOURCES ${CMAKE_CURRENT_BINARY_DIR}/man/man1/nifti2dicom.1.gz
                                           ${CMAKE_CURRENT_BINARY_DIR}/man/man1/qnifti2dicom.1.gz)

    install(FILES ${CMAKE_CURRENT_BINARY_DIR}/man/man1/nifti2dicom.1.gz
            DESTINATION share/man/man1
            COMPONENT Documentation)
    install(FILES ${CMAKE_CURRENT_BINARY_DIR}/man/man1/qnifti2dicom.1.gz
            DESTINATION share/man/man1
            COMPONENT Documentation)
endif()

=== src/core/CMakeLists.txt ===
#  This file is part of Nifti2Dicom, is an open source converter from
#  3D NIfTI images to 2D DICOM series.
#
#  Copyright (C) 2008, 2009, 2010 Daniele E. Domenichelli <daniele.domenichelli@gmail.com>
#
#  Nifti2Dicom is free software: you can redistribute it and/or modify
#  it under the terms of the GNU General Public License as published by
#  the Free Software Foundation, either version 3 of the License, or
#  (at your option) any later version.
#
#  Nifti2Dicom is distributed in the hope that it will be useful,
#  but WITHOUT ANY WARRANTY; without even the implied warranty of
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#  GNU General Public License for more details.
#
#  You should have received a copy of the GNU General Public License
#  along with Nifti2Dicom.  If not, see <http://www.gnu.org/licenses/>.


set(nifti2dicom_core_SOURCES n2dVersion.cxx
                             n2dToolsMetaDataDictionary.cxx
                             n2dToolsDate.cxx
                             n2dCommandLineParser.cxx
                             n2dAccessionNumberValidator.cxx
                             n2dHeaderImporter.cxx
                             n2dDicomClass.cxx
                             n2dOtherDicomTags.cxx
                             n2dPatient.cxx
                             n2dStudy.cxx
                             n2dSeries.cxx
                             n2dAcquisition.cxx
                             n2dInputImporter.cxx
                             n2dInputFilter.cxx
                             n2dInstance.cxx
                             n2dOutputExporter.cxx)

set(nifti2dicom_core_HEADERS ${CMAKE_BINARY_DIR}/Nifti2DicomConfig.h
                             n2dVersion.h
                             n2dDefsCommandLineArgsStructs.h
                             n2dDefsImage.h
                             n2dDefsMetadata.h
                             n2dToolsMetaDataDictionary.h
                             n2dToolsDate.h
                             n2dCommandLineParser.h
                             n2dAccessionNumberValidator.h
                             n2dHeaderImporter.h
                             n2dDicomClass.h
                             n2dOtherDicomTags.h
                             n2dPatient.h
                             n2dStudy.h
                             n2dSeries.h
                             n2dAcquisition.h
                             n2dInputImporter.h
                             n2dInputFilter.h
                             n2dInstance.h
                             n2dOutputExporter.h)

set(nifti2dicom_SOURCES nifti2dicom.cxx)

# nifti2dicom_core target
add_library(nifti2dicom_core STATIC ${nifti2dicom_core_SOURCES} ${nifti2dicom_core_HEADERS})
target_link_libraries(nifti2dicom_core LINK_PRIVATE ${ITK_LIBRARIES})


# nifti2dicom target
add_executable(nifti2dicom ${nifti2dicom_SOURCES})
target_link_libraries(nifti2dicom nifti2dicom_core)
install(TARGETS nifti2dicom RUNTIME DESTINATION bin)

=== src/gui/CMakeLists.txt ===
#  This file is part of Nifti2Dicom, is an open source converter from
#  3D NIfTI images to 2D DICOM series.
#
#  Copyright (C) 2010 Gabriele Arnulfo <gabriele.arnulfo@dist.unige.it>
#
#  Nifti2Dicom is free software: you can redistribute it and/or modify
#  it under the terms of the GNU General Public License as published by
#  the Free Software Foundation, either version 3 of the License, or
#  (at your option) any later version.
#
#  Nifti2Dicom is distributed in the hope that it will be useful,
#  but WITHOUT ANY WARRANTY; without even the implied warranty of
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#  GNU General Public License for more details.
#
#  You should have received a copy of the GNU General Public License
#  along with Nifti2Dicom.  If not, see <http://www.gnu.org/licenses/>.


set(qnifti2dicom_SOURCES wizard.cpp
                         init.cpp
                         customize.cpp
                         finalize.cpp
                         itkImageToVTKImageFilter.txx
                         qnifti2dicom.cpp
                         vtkKWImageIO.cxx
                         vtkKWImage.cxx)

set(qnifti2dicom_HEADERS ${CMAKE_BINARY_DIR}/Nifti2DicomConfig.h
                         wizard.h
                         init.h
                         customize.h
                         finalize.h)

set(qnifti2dicom_MOC_HDR wizard.h
                         init.h
                         customize.h
                         finalize.h)

set(qnifti2dicom_QRC_RCC resources.qrc)

if(MSVC)
    set(qnifti2dicom_RCS qnifti2dicom.rc)
elseif(APPLE)
    set(MACOSX_BUNDLE_ICON_FILE "${CMAKE_SOURCE_DIR}/data/icons/qnifti2dicom.icns")
    set_source_files_properties("${CMAKE_SOURCE_DIR}/data/icons/qnifti2dicom.icns" PROPERTIES MACOSX_PACKAGE_LOCATION Resources)
    set(qnifti2dicom_RCS "${CMAKE_SOURCE_DIR}/data/icons/qnifti2dicom.icns")
endif()

if(Nifti2Dicom_QT_VERSION EQUAL 5)
    qt5_wrap_cpp(qnifti2dicom_MOC_SRCS ${qnifti2dicom_MOC_HDR})
    qt5_add_resources(qnifti2dicom_QRC_SRCS ${qnifti2dicom_QRC_RCC})
else()
    qt4_wrap_cpp(qnifti2dicom_MOC_SRCS ${qnifti2dicom_MOC_HDR})
    qt4_add_resources(qnifti2dicom_QRC_SRCS ${qnifti2dicom_QRC_RCC})
endif()

include_directories(${CMAKE_CURRENT_BINARY_DIR}
                    ${CMAKE_CURRENT_SOURCE_DIR}/../core
                    ${QT_INCLUDE_DIR}
                    ${QT_QTCORE_INCLUDE_DIR}
                    ${QT_QTGUI_INCLUDE_DIR})

add_definitions(${QT_DEFINITIONS})

add_executable(qnifti2dicom WIN32 MACOSX_BUNDLE
                            ${qnifti2dicom_SOURCES}
                            ${qnifti2dicom_HEADERS}
                            ${qnifti2dicom_MOC_SRCS}
                            ${qnifti2dicom_UIS_HDR}
                            ${qnifti2dicom_QRC_SRCS}
                            ${qnifti2dicom_RCS})

# qnifti2dicom target
target_link_libraries(qnifti2dicom nifti2dicom_core
                                   ${ITK_LIBRARIES}
                                   ${VTK_LIBRARIES}
                                   ${QT_QTCORE_LIBRARY}
                                   ${QT_QTGUI_LIBRARY})

if(MSVC AND CMAKE_VERSION VERSION_LESS 2.8.11)
    target_link_libraries(qnifti2dicom ${QT_QTMAIN_LIBRARY})
endif()

if(VTK_VERSION VERSION_LESS 6.0.0)
    # In VTK 5 QVTK is not in ${VTK_LIBRARIES} variable
    target_link_libraries(qnifti2dicom QVTK)
endif()

install(TARGETS qnifti2dicom
        COMPONENT Runtime
        RUNTIME DESTINATION bin
        BUNDLE DESTINATION .)

if(WIN32)
    set(APP "\${CMAKE_INSTALL_PREFIX}/bin/qnifti2dicom.exe")
elseif(APPLE)
    set(APP "\${CMAKE_INSTALL_PREFIX}/qnifti2dicom.app")
else()
    set(APP "\${CMAKE_INSTALL_PREFIX}/bin/qnifti2dicom")
endif()

set(DIRS ${QT_LIBRARY_DIR} ${QT_BINARY_DIR})

if(TARGET ITKCommon)
    get_property(ITK_IMPORTED_CONFIGURATIONS TARGET ITKCommon PROPERTY IMPORTED_CONFIGURATIONS)
    foreach(conf ${ITK_IMPORTED_CONFIGURATIONS})
        get_property(dir TARGET ITKCommon PROPERTY IMPORTED_LOCATION_${conf})
        get_filename_component(dir "${dir}" PATH)
        if(IS_DIRECTORY "${dir}")
            list(APPEND DIRS ${dir})
        endif()
    endforeach()
endif()

if(TARGET vtkCommonCore)
    get_property(VTK_IMPORTED_CONFIGURATIONS TARGET vtkCommonCore PROPERTY IMPORTED_CONFIGURATIONS)
    foreach(conf ${VTK_IMPORTED_CONFIGURATIONS})
        get_property(dir TARGET vtkCommonCore PROPERTY IMPORTED_LOCATION_${conf})
        get_filename_component(dir "${dir}" PATH)
        if(IS_DIRECTORY "${dir}")
            list(APPEND DIRS ${dir})
        endif()
    endforeach()
endif()

if(WIN32 OR APPLE)
    install(CODE "include(BundleUtilities)\n  fixup_bundle(\"${APP}\" \"\" \"${DIRS}\")"
            COMPONENT Runtime)
endif()

=== debian/changelog ===
nifti2dicom (0.4.9-1~nd80+1+nd90+1) stretch; urgency=low

  * Backported for stretch.

 -- NeuroDebian Maintainers <team@neuro.debian.net>  Sun, 28 Jun 2015 11:32:29 -0400

nifti2dicom (0.4.9-1~nd80+1) jessie; urgency=low

  * Backported for jessie.
  * Used following sed expression to modify debian/control: -e
    's/\(^Depends:\) */\1 neurodebian-popularity-contest, /g' -e
    's/^Maintainer:.*$/Maintainer: NeuroDebian Maintainers
    <team@neuro.debian.net>\nX-Original-&/'.

 -- NeuroDebian Maintainers <team@neuro.debian.net>  Fri, 24 Oct 2014 14:36:29 -0400

nifti2dicom (0.4.9-1) unstable; urgency=medium

  * New upstream release. (Closes: #764833)
  * Change Qt b-d to qtbase5-dev | libqt4-dev (>= 4.4).
  * Bump Standards-Version to 3.9.6; no changes needed.
  * Fix lintian warnings in debian/copyright file.

 -- Daniele E. Domenichelli <daniele.domenichelli@gmail.com>  Fri, 24 Oct 2014 11:32:06 +0200

=== debian/control ===
Source: nifti2dicom
Section: science
Priority: optional
Maintainer: NeuroDebian Maintainers <team@neuro.debian.net>
X-Original-Maintainer: Daniele E. Domenichelli <daniele.domenichelli@gmail.com>
Build-Depends: debhelper (>= 7.3.16),
 cdbs, cmake (>= 2.6.4), qtbase5-dev | libqt4-dev (>= 4.4),
 libinsighttoolkit4-dev (>= 4.3.0) [i386 amd64] | libinsighttoolkit3-dev,
 libfftw3-dev,
 libtclap-dev (>= 1.2.0),
 libvtk6-dev | libvtk5-qt4-dev
Standards-Version: 3.9.6
Homepage: https://github.com/biolab-unige/nifti2dicom
Vcs-Git: git://anonscm.debian.org/pkg-exppsy/nifti2dicom.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-exppsy/nifti2dicom.git

Package: nifti2dicom-data
Architecture: all
Depends: neurodebian-popularity-contest, ${misc:Depends}
Description: data files for nifti2dicom
 This package contains architecture-independent supporting data files
 required for use with nifti2dicom, such as such as documentation, icons,
 and translations.

Package: nifti2dicom
Architecture: any
Depends: neurodebian-popularity-contest, ${shlibs:Depends}, ${misc:Depends},
 nifti2dicom-data (= ${source:Version})
Description: convert 3D medical images to DICOM 2D series
 Nifti2Dicom is a convertion tool that converts 3D NIfTI files (and other
 formats supported by ITK, including Analyze, MetaImage Nrrd and VTK)
 to DICOM.
 Unlike other conversion tools, it can import a DICOM file that is used
 to import the patient and study DICOM tags, and allows you to edit the
 accession number and other DICOM tags, in order to create a valid DICOM
 that can be imported in a PACS.
 .
 This package includes the command line tools.

Package: qnifti2dicom
Architecture: any
Depends: neurodebian-popularity-contest, ${shlibs:Depends}, ${misc:Depends},
 nifti2dicom (= ${binary:Version}), nifti2dicom-data (= ${source:Version})
Description: convert 3D medical images to DICOM 2D series (gui)
 Nifti2Dicom is a convertion tool that converts 3D NIfTI files (and other
 formats supported by ITK, including Analyze, MetaImage Nrrd and VTK)
 to DICOM.
 Unlike other conversion tools, it can import a DICOM file that is used
 to import the patient and study DICOM tags, and allows you to edit the
 accession number and other DICOM tags, in order to create a valid DICOM
 that can be imported in a PACS.
 .
 This package contains the Qt4 GUI.

## nifti2dicom 0.4.11

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,7 @@
-#  This file is part of Nifti2Dicom, is an open source converter from 
+#  This file is part of Nifti2Dicom, is an open source converter from
 #  3D NIfTI images to 2D DICOM series.
 #
-#  Copyright (C) 2008, 2009, 2010 Daniele E. Domenichelli <daniele.domenichelli@gmail.com>
+#  Copyright (C) 2008, 2009, 2010 Daniele E. Domenichelli <ddomenichelli@drdanz.it>
 #
 #  Nifti2Dicom is free software: you can redistribute it and/or modify
 #  it under the terms of the GNU General Public License as published by
@@ -27,8 +27,8 @@
 
 set(Nifti2Dicom_MAJOR_VERSION "0")
 set(Nifti2Dicom_MINOR_VERSION "4")
-set(Nifti2Dicom_PATCH_VERSION "9")
-set(Nifti2Dicom_VERSION "0.4.9")
+set(Nifti2Dicom_PATCH_VERSION "11")
+set(Nifti2Dicom_VERSION "0.4.11")
 set(Nifti2Dicom_INTERNAL_VERSION "${Nifti2Dicom_MAJOR_VERSION}.${Nifti2Dicom_MINOR_VERSION}.${Nifti2Dicom_PATCH_VERSION}")
 
 list(APPEND CMAKE_MODULE_PATH "${CMAKE_SOURCE_DIR}/cmake")

=== data/CMakeLists.txt ===
if(UNIX AND NOT APPLE)
    install(FILES qnifti2dicom.desktop DESTINATION share/applications)
    install(FILES qnifti2dicom.appdata.xml DESTINATION share/appdata)
    add_subdirectory(icons)
endif()

=== doc/CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #  This file is part of Nifti2Dicom, is an open source converter from
 #  3D NIfTI images to 2D DICOM series.
 #
-#  Copyright (C) 2008, 2009, 2010 Daniele E. Domenichelli <daniele.domenichelli@gmail.com>
+#  Copyright (C) 2008, 2009, 2010 Daniele E. Domenichelli <ddomenichelli@drdanz.it>
 #
 #  Nifti2Dicom is free software: you can redistribute it and/or modify
 #  it under the terms of the GNU General Public License as published by

=== packaging/CMakeLists.txt ===
set(CPACK_PACKAGE_NAME "Nifti2Dicom")
set(CPACK_PACKAGE_VENDOR "BIOLAB, University of Genoa, Italy")

set(CPACK_PACKAGE_VERSION_MAJOR "${Nifti2Dicom_MAJOR_VERSION}")
set(CPACK_PACKAGE_VERSION_MINOR "${Nifti2Dicom_MINOR_VERSION}")
set(CPACK_PACKAGE_VERSION_PATCH "${Nifti2Dicom_PATCH_VERSION}")
set(CPACK_PACKAGE_VERSION "${Nifti2Dicom_VERSION}")

set(CPACK_PACKAGE_DESCRIPTION_FILE "${CMAKE_SOURCE_DIR}/README.md")
set(CPACK_PACKAGE_DESCRIPTION_SUMMARY "Nifti2Dicom - Convert 3D medical images to DICOM 2D series")
set(CPACK_PACKAGE_INSTALL_DIRECTORY "Nifti2Dicom")
set(CPACK_RESOURCE_FILE_LICENSE "${CMAKE_CURRENT_SOURCE_DIR}/COPYING.txt")
set(CPACK_PACKAGE_ICON "${CMAKE_SOURCE_DIR}/data/icons/qnifti2dicom.ico")
set(CPACK_MONOLITHIC_INSTALL 1)
set(CPACK_PACKAGE_EXECUTABLES qnifti2dicom Nifti2Dicom)
set(CPACK_CREATE_DESKTOP_LINKS qnifti2dicom)

if(WIN32)
    set(CPACK_GENERATOR ZIP WIX)

    # WIX settings
    set(CPACK_WIX_UPGRADE_GUID B2814FD1-CB61-4EF2-B1D5-406B73865627)
    set(CPACK_WIX_CULTURES en-US it-IT)
    set(CPACK_WIX_PRODUCT_ICON "${CPACK_PACKAGE_ICON}")
    set(CPACK_WIX_PROPERTY_ARPCOMMENTS "${CPACK_PACKAGE_DESCRIPTION_SUMMARY}")
    set(CPACK_WIX_PROPERTY_ARPURLINFOABOUT "http://github.com/biolab-unige/nifti2dicom/")
    set(CPACK_WIX_PROPERTY_ARPHELPLINK "http://github.com/biolab-unige/nifti2dicom/issues/")
    set(CPACK_WIX_PROPERTY_URLUPDATEINFO "http://github.com/biolab-unige/nifti2dicom/releases/")
elseif(APPLE)
    set(CPACK_GENERATOR DragNDrop)
endif()

include(CPack)

=== src/CMakeLists.txt ===
#  This file is part of Nifti2Dicom, is an open source converter from
#  3D NIfTI images to 2D DICOM series.
#
#  Copyright (C) 2008, 2009, 2010 Daniele E. Domenichelli <ddomenichelli@drdanz.it>
#
#  Nifti2Dicom is free software: you can redistribute it and/or modify
#  it under the terms of the GNU General Public License as published by
#  the Free Software Foundation, either version 3 of the License, or
#  (at your option) any later version.
#
#  Nifti2Dicom is distributed in the hope that it will be useful,
#  but WITHOUT ANY WARRANTY; without even the implied warranty of
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#  GNU General Public License for more details.
#
#  You should have received a copy of the GNU General Public License
#  along with Nifti2Dicom.  If not, see <http://www.gnu.org/licenses/>.


add_subdirectory(core)
add_subdirectory(gui)

=== data/icons/CMakeLists.txt ===
if(UNIX AND NOT APPLE)
    install(FILES hi512-apps-qnifti2dicom.png DESTINATION share/icons/hicolor/512x512/apps/ RENAME qnifti2dicom.png)
    install(FILES hi256-apps-qnifti2dicom.png DESTINATION share/icons/hicolor/256x256/apps/ RENAME qnifti2dicom.png)
    install(FILES hi128-apps-qnifti2dicom.png DESTINATION share/icons/hicolor/128x128/apps/ RENAME qnifti2dicom.png)
    install(FILES hi64-apps-qnifti2dicom.png DESTINATION share/icons/hicolor/64x64/apps/ RENAME qnifti2dicom.png)
    install(FILES hi32-apps-qnifti2dicom.png DESTINATION share/icons/hicolor/32x32/apps/ RENAME qnifti2dicom.png)
    install(FILES hi16-apps-qnifti2dicom.png DESTINATION share/icons/hicolor/16x16/apps/ RENAME qnifti2dicom.png)
    install(FILES lo32-apps-qnifti2dicom.png DESTINATION share/icons/locolor/32x32/apps/ RENAME qnifti2dicom.png)
    install(FILES lo16-apps-qnifti2dicom.png DESTINATION share/icons/locolor/16x16/apps/ RENAME qnifti2dicom.png)
    install(FILES mono32-apps-qnifti2dicom.png DESTINATION share/icons/mono/32x32/apps/ RENAME qnifti2dicom.png)
    install(FILES mono16-apps-qnifti2dicom.png DESTINATION share/icons/mono/16x16/apps/ RENAME qnifti2dicom.png)
endif(UNIX AND NOT APPLE)

=== src/core/CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #  This file is part of Nifti2Dicom, is an open source converter from
 #  3D NIfTI images to 2D DICOM series.
 #
-#  Copyright (C) 2008, 2009, 2010 Daniele E. Domenichelli <daniele.domenichelli@gmail.com>
+#  Copyright (C) 2008, 2009, 2010 Daniele E. Domenichelli <ddomenichelli@drdanz.it>
 #
 #  Nifti2Dicom is free software: you can redistribute it and/or modify
 #  it under the terms of the GNU General Public License as published by

=== src/gui/CMakeLists.txt ===
--- 
+++ 
@@ -51,17 +51,22 @@
     qt5_wrap_cpp(qnifti2dicom_MOC_SRCS ${qnifti2dicom_MOC_HDR})
     qt5_add_resources(qnifti2dicom_QRC_SRCS ${qnifti2dicom_QRC_RCC})
 else()
+    include_directories(${QT_INCLUDE_DIR}
+                        ${QT_QTCORE_INCLUDE_DIR}
+                        ${QT_QTGUI_INCLUDE_DIR})
+    add_definitions(${QT_DEFINITIONS})
+
     qt4_wrap_cpp(qnifti2dicom_MOC_SRCS ${qnifti2dicom_MOC_HDR})
     qt4_add_resources(qnifti2dicom_QRC_SRCS ${qnifti2dicom_QRC_RCC})
 endif()
 
 include_directories(${CMAKE_CURRENT_BINARY_DIR}
-                    ${CMAKE_CURRENT_SOURCE_DIR}/../core
-                    ${QT_INCLUDE_DIR}
-                    ${QT_QTCORE_INCLUDE_DIR}
-                    ${QT_QTGUI_INCLUDE_DIR})
+                    ${CMAKE_CURRENT_SOURCE_DIR}/../core)
 
-add_definitions(${QT_DEFINITIONS})
+if(NOT Nifti2Dicom_QT_VERSION EQUAL 4)
+
+endif()
+
 
 add_executable(qnifti2dicom WIN32 MACOSX_BUNDLE
                             ${qnifti2dicom_SOURCES}
@@ -74,9 +79,16 @@
 # qnifti2dicom target
 target_link_libraries(qnifti2dicom nifti2dicom_core
                                    ${ITK_LIBRARIES}
-                                   ${VTK_LIBRARIES}
-                                   ${QT_QTCORE_LIBRARY}
-                                   ${QT_QTGUI_LIBRARY})
+                                   ${VTK_LIBRARIES})
+if(Nifti2Dicom_QT_VERSION EQUAL 5)
+    target_link_libraries(qnifti2dicom Qt5::Core
+                                       Qt5::Gui
+                                       Qt5::Widgets)
+else()
+    target_link_libraries(qnifti2dicom ${QT_QTCORE_LIBRARY}
+                                       ${QT_QTGUI_LIBRARY})
+endif()
+
 
 if(MSVC AND CMAKE_VERSION VERSION_LESS 2.8.11)
     target_link_libraries(qnifti2dicom ${QT_QTMAIN_LIBRARY})

=== debian/changelog ===
nifti2dicom (0.4.11-1ubuntu8) artful; urgency=medium

  * Rebuild against gdcm2.8.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 07 Aug 2017 11:38:37 +0200

nifti2dicom (0.4.11-1ubuntu7) yakkety; urgency=medium

  * No change rebuild

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Mon, 08 Aug 2016 13:09:27 +0300

nifti2dicom (0.4.11-1ubuntu6) yakkety; urgency=medium

  * Rebuild against insighttookit4.10.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 26 Jul 2016 12:56:09 +0200

nifti2dicom (0.4.11-1ubuntu5) yakkety; urgency=medium

  * Drop insighttookit3

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 03 Jun 2016 16:14:10 +0200

nifti2dicom (0.4.11-1ubuntu4) yakkety; urgency=medium

  * Rebuild against libvtk6.3.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 30 May 2016 10:33:42 +0200

nifti2dicom (0.4.11-1ubuntu3) xenial; urgency=medium

  * Fix powerpc dependency.
  * Add libproj-dev b-d, fixing build failure.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 01 Apr 2016 20:23:46 +0200

nifti2dicom (0.4.11-1ubuntu2) xenial; urgency=medium

  * Build against insightoolkit on powerpc.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 01 Apr 2016 13:21:02 +0200

nifti2dicom (0.4.11-1ubuntu1) xenial; urgency=medium

  * Build against insighttoolkit4 everywhere.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 08 Mar 2016 09:45:15 +0100

nifti2dicom (0.4.11-1) unstable; urgency=medium

  * New upstream release.
  * Add nifti2dicom-dbg package.
  * Use github instead of githubredir in watch file.
  * Fix dep5-copyright-license-name-not-unique lintian warning.
  * Change VTK b-d to libvtk6-qt-dev | libvtk6-dev (<< 6.2) |
    libvtk5-qt4-dev (Closes: #793607)
  * Add appstream files to nifti2dicom-data.
  * Update email address.
  * Refresh and fix NeuroDebian backport patches.
  * Fix vcs-field-uses-insecure-uri vcs-browser lintian warnings.
  * Bump Standards-Version to 3.9.7" -m "No changes needed.
  * Update copyright file.

 -- Daniele E. Domenichelli <ddomenichelli@drdanz.it>  Wed, 02 Mar 2016 17:28:34 +0100

=== debian/control ===
Source: nifti2dicom
Section: science
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Daniele E. Domenichelli <ddomenichelli@drdanz.it>
Build-Depends: debhelper (>= 7.3.16),
 cdbs, cmake (>= 2.6.4), qtbase5-dev | libqt4-dev (>= 4.4),
 libinsighttoolkit4-dev,
 libfftw3-dev, libproj-dev,
 libtclap-dev (>= 1.2.0),
 libvtk6-qt-dev | libvtk6-dev (<< 6.2) | libvtk5-qt4-dev
Standards-Version: 3.9.7
Homepage: https://github.com/biolab-unige/nifti2dicom
Vcs-Git: https://anonscm.debian.org/git/pkg-exppsy/nifti2dicom.git
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-exppsy/nifti2dicom.git

Package: nifti2dicom-data
Architecture: all
Depends: ${misc:Depends}
Description: data files for nifti2dicom
 This package contains architecture-independent supporting data files
 required for use with nifti2dicom, such as such as documentation, icons,
 and translations.

Package: nifti2dicom
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends},
 nifti2dicom-data (= ${source:Version})
Description: convert 3D medical images to DICOM 2D series
 Nifti2Dicom is a convertion tool that converts 3D NIfTI files (and other
 formats supported by ITK, including Analyze, MetaImage Nrrd and VTK)
 to DICOM.
 Unlike other conversion tools, it can import a DICOM file that is used
 to import the patient and study DICOM tags, and allows you to edit the
 accession number and other DICOM tags, in order to create a valid DICOM
 that can be imported in a PACS.
 .
 This package includes the command line tools.

Package: qnifti2dicom
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends},
 nifti2dicom (= ${binary:Version}), nifti2dicom-data (= ${source:Version})
Description: convert 3D medical images to DICOM 2D series (gui)
 Nifti2Dicom is a convertion tool that converts 3D NIfTI files (and other
 formats supported by ITK, including Analyze, MetaImage Nrrd and VTK)
 to DICOM.
 Unlike other conversion tools, it can import a DICOM file that is used
 to import the patient and study DICOM tags, and allows you to edit the
 accession number and other DICOM tags, in order to create a valid DICOM
 that can be imported in a PACS.
 .
 This package contains the Qt4 GUI.

Package: nifti2dicom-dbg
Section: debug
Priority: extra
Architecture: any
Depends: ${misc:Depends},
 nifti2dicom (= ${binary:Version}) |
 qnifti2dicom (= ${binary:Version})
Description: convert 3D medical images to DICOM 2D series (debug symbols)
 Nifti2Dicom is a convertion tool that converts 3D NIfTI files (and other
 formats supported by ITK, including Analyze, MetaImage Nrrd and VTK)
 to DICOM.
 Unlike other conversion tools, it can import a DICOM file that is used
 to import the patient and study DICOM tags, and allows you to edit the
 accession number and other DICOM tags, in order to create a valid DICOM
 that can be imported in a PACS.
 .
 This package contains the debugging symbols necessary to debug crashes
 in nifti2dicom.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
DPKG_EXPORT_BUILDFLAGS = 1
-include /usr/share/dpkg/buildflags.mk
include /usr/share/cdbs/1/class/cmake.mk
include /usr/share/cdbs/1/rules/debhelper.mk

CFLAGS+=$(CPPFLAGS)
CXXFLAGS+=$(CPPFLAGS)

override_dh_strip:
	dh_strip --dbg-package=nifti2dicom-dbg

=== debian/watch ===
version=3
https://github.com/biolab-unige/nifti2dicom/releases .*/v(\d[\d\.]*)\.(?:tar.gz|tar.bz2|tar.xz)
